package sun.management.snmp.jvmmib;

import java.util.Hashtable;
import java.io.Serializable;
import com.sun.jmx.snmp.Enumerated;

public class EnumJvmMemPoolType extends Enumerated implements Serializable
{
    static final long serialVersionUID = -7214498472962396555L;
    protected static Hashtable<Integer, String> intTable;
    protected static Hashtable<String, Integer> stringTable;
    
    public EnumJvmMemPoolType(int n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemPoolType(Integer n) throws IllegalArgumentException {
        super(n);
    }
    
    public EnumJvmMemPoolType() throws IllegalArgumentException {
    }
    
    public EnumJvmMemPoolType(String s) throws IllegalArgumentException {
        super(s);
    }
    
    protected Hashtable<Integer, String> getIntTable() {
        return EnumJvmMemPoolType.intTable;
    }
    
    protected Hashtable<String, Integer> getStringTable() {
        return EnumJvmMemPoolType.stringTable;
    }
    
    static {
        EnumJvmMemPoolType.intTable = new Hashtable();
        EnumJvmMemPoolType.stringTable = new Hashtable();
        EnumJvmMemPoolType.intTable.put(new Integer(2), "heap");
        EnumJvmMemPoolType.intTable.put(new Integer(1), "nonheap");
        EnumJvmMemPoolType.stringTable.put("heap", new Integer(2));
        EnumJvmMemPoolType.stringTable.put("nonheap", new Integer(1));
    }
}
